Summary:	KDE Frameworks 5 Sieve module
Name:		libksieve
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5identitymanagement-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5mailtransport-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Conflicts:	plasma5-kio-kdepimlibs < 16.08.2
Conflicts:	kde5-l10n < 17.04

%description
KDE Frameworks 5 Sieve module.

%files -f sieve.lang
%{_kde5_datadir}/sieve/scripts/copy/template.*
%{_kde5_services}/sieve.protocol
%{_kde5_sysconfdir}/xdg/ksieve_script.knsrc
%{_kde5_sysconfdir}/xdg/libksieve.categories
%{_kde5_sysconfdir}/xdg/libksieve.renamecategories
%{_qt5_plugindir}/kf5/kio/sieve.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 Sieve library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 Sieve library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kmanagesieve_major 5
%define libkf5kmanagesieve %mklibname kf5kmanagesieve %{kf5kmanagesieve_major}

%package -n %{libkf5kmanagesieve}
Summary:	KDE Frameworks 5 Sieve shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kmanagesieve}
KDE Frameworks 5 Sieve shared library.

%files -n %{libkf5kmanagesieve}
%{_kde5_libdir}/libKF5KManageSieve.so.%{kf5kmanagesieve_major}*

#----------------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %{libkf5ksieve}
Summary:	KDE Frameworks 5 Sieve shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5ksieve}
KDE Frameworks 5 Sieve shared library.

%files -n %{libkf5ksieve}
%{_kde5_libdir}/libKF5KSieve.so.%{kf5ksieve_major}*

#----------------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui %{kf5ksieveui_major}

%package -n %{libkf5ksieveui}
Summary:	KDE Frameworks 5 Sieve shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5ksieveui}
KDE Frameworks 5 Sieve shared library.

%files -n %{libkf5ksieveui}
%{_kde5_libdir}/libKF5KSieveUi.so.%{kf5ksieveui_major}*

#----------------------------------------------------------------------------

%define devkf5libksieve %mklibname kf5libksieve -d

%package -n %{devkf5libksieve}
Summary:	Development files for KDE Frameworks 5 Sieve module
Group:		Development/KDE and Qt
Requires:	%{libkf5kmanagesieve} = %{EVRD}
Requires:	%{libkf5ksieve} = %{EVRD}
Requires:	%{libkf5ksieveui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5libksieve-devel = %{version}

%description -n %{devkf5libksieve}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5libksieve}
%{_kde5_includedir}/KF5/KManageSieve
%{_kde5_includedir}/KF5/kmanagesieve
%{_kde5_includedir}/KF5/KSieveUi
%{_kde5_includedir}/KF5/ksieveui
%{_kde5_includedir}/KF5/libksieve_version.h
%{_kde5_libdir}/cmake/KF5LibKSieve
%{_kde5_libdir}/libKF5KManageSieve.so
%{_kde5_libdir}/libKF5KSieve.so
%{_kde5_libdir}/libKF5KSieveUi.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang kio_sieve sieve sieve.lang --with-kde --with-html
%kf5locales_fix sieve.lang

%find_lang %{name} --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Thu Mar 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (0cf89fa) Build requires kf5doctools-devel


